
videojs('test_video', {
	  nativeControlsForTouch: false
	});
	 
  var player = videojs('test_video');
		var myVid = document.getElementById("test_video_html5_api");  
 

 
   player.markers({	
 
      markers: [
	  /*
         {
            time: 25,
            text: '<div class="objetos  "><img  class="objeto1" onclick="action1()" src="./images/continuar.png" style="width: 29%;    float: right;"></div>  '
         },
		 {
			time: 49,
			text: ''
 
		 },
		 {
			time: 123,
			text: ''
 
		 }*/
      ],
      markerTip:{

         display: false,
         text: function(marker) {
            return "" + marker.text;
         },
		  time: function(marker) {
			 return marker.time;
		  }
      },
      breakOverlay:{
         display: true,
         displayTime: 1,
         text: function(marker) {
           return "" + marker.text;
         }
      },
      onMarkerReached: function(marker) {
         $('.event-list').append("<div>marker reached: " + marker.text + "</div>");
			myVid.pause();
			//setTimeout(function(){ myVid.play(); }, 500);
			console.log(marker.time);
			//$( ".objeto1" ).show();  
			 
      },
      onMarkerClick: function(marker){
         $('.event-list').append("<div>marker clicked: " + marker.text + "</div>");
		
      }
   });
   
 
	$(".vjs-seek-handle ,.vjs-slider-handle,.vjs-load-progress,.vjs-progress-control,.vjs-play-progress,.vjs-control-bar").click(function(){       
		//$( ".objetos" ).hide();  
	});
	  
	
	
   $(".next").click(function(){
      player.markers.next();

		setTimeout(function(){ myVid.pause(); }, 500);
  		$( ".objetos" ).hide();  

   });
   $(".prev").click(function(){
		player.markers.prev();
		$( ".objetos" ).hide();  
		setTimeout(function(){ myVid.pause(); }, 500);

   });  
   
   $(".seguir").click(function(){       
		$(".actividad").hide();
		myVid.play();
	});
	 
 function action1(){
 	$(this).hide(); 
		//$('.objetos,.vjs-break-overlay').hide();
		//myVid.play();
		 $(".actividad").show();
 } 